Document download API
Document Download API , used to download document against the insurance policy application .
Path Parameters
Request Body required
1SB Doc download request
- Array [
- ]
- Array [
- ]
- Array [
- ]
distributor object required
Distributor section to collect information to identify the distributor assigned to the consumer by 1SB.
Possible values: <= 20 characters
Distributor ID assigned to each consumer by 1SB.
Possible values: <= 20 characters
PoSP code or SP code or Brokder Qualified Person.
Possible values: <= 20 characters
This is used by insurance companies to identify sales channel.
Possible values: <= 20 characters
This is used by insurance companies to identify the Channel Type.
varFields object[]
varField array hold any additional data related to Distributor
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
Possible values: <= 15 characters
The code is to identify for which insurance company this proposal belongs to.
Possible values: <= 10 characters
Product Code is assigned by Insurance Company to their products(Unique for each product).
Possible values: <= 100 characters
Reference number generated on submitting the proposal.
Possible values: <= 100 characters
Policy number is generated by Insurance Companies against each policy issued.
Possible values: <= 100 characters
Reference number generated on generating the premium quote.
Possible values: <= 100 characters
Tracking number generated to tarck a proposal.
Possible values: <= 100 characters
Reference number in order to download the document.
individualDetails object
Is the document for proposer or lifeassured.
First name of the Individual.
Last name of the Individual.
Mobile number of the Individual.
Email of the Individual.
Date of birth of the Individual.
fileDetails object
For what is this document upload?
1SB document ID
varFields object[]
varField array hold any additional data related to File.
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
varFields object[]
varField array hold any additional data
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
- 200
Successful Response
Schema
- Array [
- ]
content type: application/octet-stream
varFields object[]
varField array hold any additional data
Possible values: <= 20 characters
Name of additional fields
Possible values: <= 20 characters
Value of additional fields
{
"binaryData/byteArray": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
}